US Truck Plate Decode API Documentation
Welcome to Vehicle Databases API's Documentation
US Truck Plate Decode
GETJSON ResponseOverview
This API provides details about year, make, model and VIN by taking truck license plate number and state. This API covers only USA states.
- COVERAGE
- US Truck License Plates from all 50 states including commercial vehicles.
- SUPPORT
- US region plates
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/truck-license-decode/{license_plate}/{state}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com//truck-license-decode/{license_plate}/{state}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
license_plateRequired- License Plate
stateRequired- US State
JSON Response
Data covered in the API includes year, make, model, and VIN.
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"intro": {
"vin": "1FUJGLDR6DSBM3079",
"license": "1191675",
"state": "AL"
},
"basic": {
"make": "Freightliner",
"model": "Cascadia 125",
"year": "2013"
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400Record(s) were not found for this vehicle.Verify the VIN is correct or try a different vehicle.
401Access denied due to invalid subscription x-authkey.Provide a valid API x-authkey for an active subscription.
422Too many requestsReduce request frequency to comply with rate limits.
404API not foundCheck the API endpoint URL.
500BlankServer error. Contact support if the issue persists.